import { Body, Controller, Delete, Get, Param, Post, Put } from '@nestjs/common';
import { UsersService } from './users.service';
import { User } from './user.entity';

@Controller('users')
export class UsersController {
    constructor(private userService: UsersService) {}

    @Post()
    create(@Body() body: Partial<User>) {
        return this.userService.create(body);
    }

    @Get()
    findAll() {
        return this.userService.findAll();
    }

    @Get(":id")
    findOne(@Param("id") id: string) {
        return this.userService.findOne(Number(id));
    }

    @Put(":id")
    update(@Param("id") id: string, @Body() body: Partial<User>) {
        return this.userService.update(Number(id), body);
    }

    @Delete(":id")
    delete(@Param("id") id: string) {
        return this.userService.delete(Number(id));
    }
}
